sales-invoices-by-due-date-get¶
Source¶
Repository:
jef-systems/jef-sales-invoices-backendModule:
sales-invoicesDocumentation Scope:
getLambda:
jef-sales-invoices-get-9
Endpoint¶
API Name:
jef-sales-invoicesAction Name:
getMethod:
GETScope Label:
GETResource Path:
/sales-invoices-by-due-date-getComplete Endpoint:
https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-due-date-getLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-get-9curl payload mode:
query_string
API Gateway Description¶
Function: jef-sales-invoices-get-9
API Name: jef-sales-invoices
Action: get
Method: GET
Resource Path: /sales-invoices-by-due-date-get
Payload:
- from: 2026-01-01T00:00:00Z
- to: 2026-12-31T23:59:59Z
- payment_status: UNPAID
Response:
- ok: true
- items: []
Request Payload¶
{
"from": "2026-01-01T00:00:00Z",
"to": "2026-12-31T23:59:59Z",
"payment_status": "UNPAID"
}
Response¶
{
"ok": "true",
"items": "[]"
}
CMD curl¶
curl "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-due-date-get?from=2026-01-01T00%3A00%3A00Z&to=2026-12-31T23%3A59%3A59Z&payment_status=UNPAID"
PowerShell curl¶
curl.exe "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-due-date-get?from=2026-01-01T00%3A00%3A00Z&to=2026-12-31T23%3A59%3A59Z&payment_status=UNPAID"